Ac3net.filtersames {Ac3net} | R Documentation

## The correlations of the same variables are set to zero.

### Description

`Ac3net.filtersames` The correlations of the same variables are set to zero as they are likly to have the maximum correlations already.

### Usage

    Ac3net.filtersames(mim)

### Arguments

`mim` | An adjacency matrix, where the element at row i and column j corresponds to the correlation or mutual information between variables row i and column j. Row and columns of the matrix must have the variable names. Row names must be available.

### Details

`Ac3net.filtersames` takes an adjacency matrix with variable names are on the rows. Then it sets 0 for the self correlations of the variables by checking their names.

### Value

`Ac3net.filtersames` returns an adjacency matrix with no self dependency.

### Author(s)

Gokmen Altay

### References

G. Altay,"Directed Conservative Causal Core Gene Networks", bioRxiv, 2018.

### See Also

`Ac3net.maxmim`, `Ac3net.commonlinks`,

### Examples

    # data(expdata)
    # mim <- cor(t(expdata), method = 'pearson')
    # mim <- Ac3net.filtersames(mim)

[Package Ac3net version 1.2.2 Index]